@echo off
rem
rem TUTORIAL.BAT  Copyright (c) 1993 CuSoft Research Inc.
rem
rem Batch file for starting Polar Explorer 2.2 Program
rem and invoking the "0-INTRO" introductory tutorial script.
rem This batch program also tests if all files necessary for
rem playing the "0-INTRO" script are present on the disk.
rem
if exist PE22.EXE goto conta
echo Error: PE22.EXE program file not found.
goto err
:conta
if exist 0-INTRO.{S} goto contb
echo Error: Script file 0-INTRO.{S} not found.
goto err
:contb
if exist TUTORIAL.GL0 goto cont1
echo Error: Glider library file TUTORIAL.GL0 not found.
goto err
:cont1
if exist TUTORIAL.GL1 goto cont2
echo Error: Glider library file TUTORIAL.GL1 not found.
goto err
:cont2
if exist TUTORIAL.GL2 goto cont3
echo Error: Glider library file TUTORIAL.GL2 not found.
goto err
:cont3
if exist TUTORIAL.PE0 goto cont4
echo Error: Sheet library file TUTORIAL.PE0 not found.
goto err
:cont4
if exist TUTORIAL.PE1 goto cont5
echo Error: Sheet library file TUTORIAL.PE1 not found.
goto err
:cont5
if exist TUTORIAL.PE2 goto cont6
echo Error: Sheet library file TUTORIAL.PE2 not found.
goto err
:cont6
PE22.EXE /S:0-INTRO
goto end
:err
echo -----------------------------------------------------------
echo Before running Polar Explorer Demo, please make sure that
echo the following files are present in the current directory:
echo   PE22.EXE (Polar Explorer program file)
echo   0-INTRO.{S}   (Introductory Script file)
echo   TUTORIAL.GL0  (Tutorial glider library index file)
echo   TUTORIAL.GL1  (Tutorial glider library name file)
echo   TUTORIAL.GL2  (Tutorial glider library data file)
echo   TUTORIAL.PE0  (Tutorial sheet library index file)
echo   TUTORIAL.PE1  (Tutorial sheet library name file)
echo   TUTORIAL.PE2  (Tutorial sheet library data file)
:end
